Bug 460038 - Some operations fail when accessing conga via Internet Explorer
Some operations fail when accessing conga via Internet Explorer
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: conga (Show other bugs)
5.2
All Linux
medium Severity medium
: rc
: ---
Assigned To: Ryan McCabe
:
Depends On:
Blocks: 490458
  Show dependency treegraph
 
Reported: 2008-08-25 12:44 EDT by John Ruemker
Modified: 2010-10-22 23:57 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 490458 (view as bug list)
Environment:
Last Closed: 2009-09-02 07:51:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Ruemker 2008-08-25 12:44:10 EDT
Description of problem: When using Conga to edit any service with an fs resource in it, Submitting the changes fails with the error

   'An error occurred while adding fs'

Happens even after pushing 'Save Changes' without making any changes to the service.  Only workaround is to delete the fs resource (and all of its children), or recreate the service from scratch.  

Version-Release number of selected component (if applicable): luci/ricci 0.12.0-7.el5

How reproducible: Always

Steps to Reproduce:
1. Create a service (using conga, s-c-c, or manually) with an fs and any other resource, like:

      <service autostart="1" exclusive="0" name="fstest" recovery="relocate">

           <fs device="/dev/test/lv1" force_fsck="0" force_unmount="0" fsid="13596" fstype="ext3" mountpoint="/mnt/lv1" name="lv1" self_fence="0"/>

            <ip address="192.168.143.111" monitor_link="0"/>

      </service>


2. Navigate in Conga to that service's page
3. Make any change and hit 'Save Changes'.  In this case click the 'Monitor Link' checkbox in the IP resource
  
Actual results: 'An error occurred while adding fs'

Expected results: Changes saved successfully and service updated
Comment 3 Chris Ward 2009-07-03 14:07:05 EDT
~~ Attention - RHEL 5.4 Beta Released! ~~

RHEL 5.4 Beta has been released! There should be a fix present in the Beta release that addresses this particular request. Please test and report back results here, at your earliest convenience. RHEL 5.4 General Availability release is just around the corner!

If you encounter any issues while testing Beta, please describe the issues you have encountered and set the bug into NEED_INFO. If you encounter new issues, please clone this bug to open a new issue and request it be reviewed for inclusion in RHEL 5.4 or a later update, if it is not of urgent severity.

Please do not flip the bug status to VERIFIED. Only post your verification results, and if available, update Verified field with the appropriate value.

Questions can be posted to this bug or your customer or partner representative.
Comment 5 Brian Brock 2009-07-28 11:22:29 EDT
fix verified in luci-0.12.2-6.el5

I can modify a service with an fs resource, save an unmodified service with an fs resource, add an fs resource to a service, and delete an fs resource from a service under IE.
Comment 7 errata-xmlrpc 2009-09-02 07:51:24 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1381.html

Note You need to log in before you can comment on or make changes to this bug.